slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSGetRKShifts

Gets the list of shifts used in the Rational Krylov method.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetRKShifts(NEP nep,PetscInt *ns,PetscScalar *shifts[])

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| ns | - number of shifts
| shifts | - array of shifts

### Note

The user is responsible for deallocating the returned array.

### See Also

NEPNLEIGSSetRKShifts()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages